System information endpoints
/api/v2/resourcesList all known resources
Parameters
Header parameters
Zap-Trace-Span
stringcurl --request GET \
"https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/resources" \
--header "Authorization: Bearer INFLUX_TOKEN"Responses
code
required
stringinternal error
, not implemented
, not found
, conflict
, invalid
, unprocessable entity
, empty value
, unavailable
, forbidden
, too many requests
, unauthorized
, method not allowed
, request too large
, unsupported media typeerr
stringmessage
stringop
string/api/v2List all top level routes
Retrieves all the top level routes for the InfluxDB API.
Limitations
- Only returns top level routes–for example, the response contains
"tasks":"/api/v2/tasks", and doesn’t contain resource-specific routes for tasks (/api/v2/tasks/TASK_ID/...).
Parameters
Header parameters
Zap-Trace-Span
stringcurl --request GET \
"https://us-east-1-1.aws.cloud2.influxdata.com/api/v2" \
--header "Authorization: Bearer INFLUX_TOKEN"Responses
authorizations
string <uri>buckets
string <uri>dashboards
string <uri>external
objectstatusFeed
string <uri>flags
string <uri>me
string <uri>orgs
string <uri>query
objectanalyze
string <uri>ast
string <uri>self
string <uri>suggestions
string <uri>setup
string <uri>signin
string <uri>signout
string <uri>sources
string <uri>system
objectdebug
string <uri>health
string <uri>metrics
string <uri>tasks
string <uri>telegrafs
string <uri>users
string <uri>variables
string <uri>write
string <uri>/pingGet the status of the instance
Retrieves the status and InfluxDB version of the instance.
Use this endpoint to monitor uptime for the InfluxDB instance. The response
returns a HTTP 204 status code to inform you the instance is available.
Related guides
curl --request GET \
"https://us-east-1-1.aws.cloud2.influxdata.com/ping" \
--header "Authorization: Bearer INFLUX_TOKEN"Responses
Was this page helpful?
Thank you for your feedback!
Support and feedback
Thank you for being part of our community! We welcome and encourage your feedback and bug reports for InfluxDB and this documentation. To find support, use the following resources:
Customers with an annual or support contract can contact InfluxData Support.